# Plan Templates

## List Plan Templates

> List available plan templates for the organization with keyset pagination.. Requires the 'plan\_templates:read' scope.

```json
{"openapi":"3.0.1","info":{"title":"Opine API","version":"1.0.0"},"servers":[{"url":"https://api.tryopine.com","description":"Production server"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key","description":"API key for authentication"}},"schemas":{"ListPlanTemplates200ResponseBody":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object","properties":{"id":{"description":"The template's unique identifier (UUID)","type":"string"},"title":{"type":"string"},"description":{"nullable":true,"type":"string"},"scope":{"type":"string","enum":["FULL_EVALUATION","PLAY"]},"defaultPlanTimeline":{"nullable":true,"type":"string","enum":["NONE","DEAL","TWO_WEEKS","FOUR_WEEKS","SIX_WEEKS","EIGHT_WEEKS","SIX_MONTHS","ONE_YEAR"]},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"required":["id","title","description","scope","defaultPlanTimeline","createdAt","updatedAt"],"additionalProperties":false}},"startCursor":{"nullable":true,"type":"string"},"endCursor":{"nullable":true,"type":"string"},"hasPrevious":{"type":"boolean"},"hasMore":{"type":"boolean"}},"required":["items","startCursor","endCursor","hasPrevious","hasMore"],"additionalProperties":false},"ErrorMessage":{"type":"object","properties":{"message":{"type":"string"}},"additionalProperties":false}}},"paths":{"/v1/plan-templates":{"get":{"operationId":"listPlanTemplates","responses":{"200":{"description":"Response for status 200","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListPlanTemplates200ResponseBody"}}}},"500":{"description":"An unknown error occurred, trying again might help.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"summary":"List Plan Templates","description":"List available plan templates for the organization with keyset pagination.. Requires the 'plan_templates:read' scope.","tags":["plan-templates"],"parameters":[{"name":"limit","in":"query","description":"Number of items to return (1-1000, default 100)","required":false,"schema":{"type":"number","minimum":1,"maximum":1000,"default":100}},{"name":"after","in":"query","description":"Cursor for forward pagination. Use endCursor from a previous response to get the next page.","required":false,"schema":{"type":"string"}},{"name":"before","in":"query","description":"Cursor for backward pagination. Use startCursor from a previous response to get the previous page.","required":false,"schema":{"type":"string"}},{"name":"title","in":"query","description":"Filter by title (case-insensitive search)","required":false,"schema":{"type":"string"}},{"name":"scope","in":"query","description":"Filter by template scope","required":false,"schema":{"type":"string","enum":["FULL_EVALUATION","PLAY"]}}]}}}}
```
